/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#include "stdafx.h"
#include "resource.h"
#include "IO/GLMglExporter.h"
#include "mg/Group.h"
#include "mg/Ofstream.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CGLMglExporter::CGLMglExporter()
	 : CGLFileExporter(IDS_FILTER_MGCL)
{
}

bool CGLMglExporter::Save(const MGGroup& group){
	MGOfstream stream;
	int error=stream.open(GetFileName());
	if(error){
		return false;
	}
	group.unload(stream);
	return true;
}
